com.amazonaws.services.workspaces.model

## Class DescribeWorkspacesResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.workspaces.model.DescribeWorkspacesResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class DescribeWorkspacesResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Contains the results for the DescribeWorkspaces operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DescribeWorkspacesResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DescribeWorkspacesResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getNextToken()` If not null, more results are available.
`List<Workspace>` `getWorkspaces()` An array of structures that contain the information about the WorkSpaces.
`int` `hashCode()`
`void` `setNextToken(String nextToken)` If not null, more results are available.
`void` `setWorkspaces(Collection<Workspace> workspaces)` An array of structures that contain the information about the WorkSpaces.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeWorkspacesResult` `withNextToken(String nextToken)` If not null, more results are available.
`DescribeWorkspacesResult` `withWorkspaces(Collection<Workspace> workspaces)` An array of structures that contain the information about the WorkSpaces.
`DescribeWorkspacesResult` `withWorkspaces(Workspace... workspaces)` An array of structures that contain the information about the WorkSpaces.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DescribeWorkspacesResult

    public DescribeWorkspacesResult()

### Method Detail

#### getWorkspaces

    public List<Workspace> getWorkspaces()

An array of structures that contain the information about the WorkSpaces.

Because the CreateWorkspaces operation is asynchronous, some of this information may be incomplete for a newly-created WorkSpace.

Returns:
  An array of structures that contain the information about the WorkSpaces.

  Because the CreateWorkspaces operation is asynchronous, some of this information may be incomplete for a newly-created WorkSpace.

#### setWorkspaces

    public void setWorkspaces(Collection<Workspace> workspaces)

An array of structures that contain the information about the WorkSpaces.

Because the CreateWorkspaces operation is asynchronous, some of this information may be incomplete for a newly-created WorkSpace.

Parameters:
  `workspaces` - An array of structures that contain the information about the WorkSpaces.

  Because the CreateWorkspaces operation is asynchronous, some of this information may be incomplete for a newly-created WorkSpace.

#### withWorkspaces

    public DescribeWorkspacesResult withWorkspaces(Workspace... workspaces)

An array of structures that contain the information about the WorkSpaces.

Because the CreateWorkspaces operation is asynchronous, some of this information may be incomplete for a newly-created WorkSpace.

NOTE: This method appends the values to the existing list (if any). Use `setWorkspaces(java.util.Collection)` or `withWorkspaces(java.util.Collection)` if you want to override the existing values.

Parameters:
  `workspaces` - An array of structures that contain the information about the WorkSpaces.

  Because the CreateWorkspaces operation is asynchronous, some of this information may be incomplete for a newly-created WorkSpace.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withWorkspaces

    public DescribeWorkspacesResult withWorkspaces(Collection<Workspace> workspaces)

An array of structures that contain the information about the WorkSpaces.

Because the CreateWorkspaces operation is asynchronous, some of this information may be incomplete for a newly-created WorkSpace.

Parameters:
  `workspaces` - An array of structures that contain the information about the WorkSpaces.

  Because the CreateWorkspaces operation is asynchronous, some of this information may be incomplete for a newly-created WorkSpace.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextToken

    public void setNextToken(String nextToken)

If not null, more results are available. Pass this value for the `NextToken` parameter in a subsequent call to this operation to retrieve the next set of items. This token is valid for one day and must be used within that time frame.

Parameters:
  `nextToken` - If not null, more results are available. Pass this value for the `NextToken` parameter in a subsequent call to this operation to retrieve the next set of items. This token is valid for one day and must be used within that time frame.

#### getNextToken

    public String getNextToken()

If not null, more results are available. Pass this value for the `NextToken` parameter in a subsequent call to this operation to retrieve the next set of items. This token is valid for one day and must be used within that time frame.

Returns:
  If not null, more results are available. Pass this value for the `NextToken` parameter in a subsequent call to this operation to retrieve the next set of items. This token is valid for one day and must be used within that time frame.

#### withNextToken

    public DescribeWorkspacesResult withNextToken(String nextToken)

If not null, more results are available. Pass this value for the `NextToken` parameter in a subsequent call to this operation to retrieve the next set of items. This token is valid for one day and must be used within that time frame.

Parameters:
  `nextToken` - If not null, more results are available. Pass this value for the `NextToken` parameter in a subsequent call to this operation to retrieve the next set of items. This token is valid for one day and must be used within that time frame.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DescribeWorkspacesResult clone()

Overrides:
  `clone` in class `Object`